class CreateTaxons < ActiveRecord::Migration
  def change
    create_table :taxons do |t|
      t.boolean :enabled
      t.integer :position
      t.boolean :fav
      
      t.string :regne
      t.string :phylum
      t.string :classe
      t.string :ordre
      t.string :famille
      t.string :group1_inpn
      t.string :group2_inpn
      t.integer :cd_nom
      t.integer :cd_taxsup
      t.integer :cd_ref
      t.string :rang
      t.string :lb_nom
      t.string :lb_auteur
      t.string :nom_complet
      t.string :nom_complet_html
      t.string :nom_valide
      t.text :nom_vern
      t.text :nom_vern_eng
      t.integer :habitat
      t.string :fr
      t.string :gf
      t.string :mar
      t.string :gua
      t.string :sm
      t.string :sb
      t.string :spm
      t.string :may
      t.string :epa
      t.string :reu
      t.string :taaf
      t.string :pf
      t.string :nc
      t.string :wf
      t.string :cli
      t.string :url
      
      
      
      t.timestamps null: false
    end
  end
end
